<?php
if(!defined('R_P')) die("access die");
$do_page =  $_MODULE[$channelselect]['admin_php'];
$mod = $_MODULE[$channel[$channelid]['channelselect']]['table_name'];
$listphp = $_MODULE[$channel[$channelid]['channelselect']]['user_list_php'];
$contentphp = $_MODULE[$channel[$channelid]['channelselect']]['user_content_php'];
$index_html = $channel[$channelid]['is_html'];
$preview_hash = qbase::createHashParam();
$menus = qbase::get_object('category', $channelid)->get();
foreach($menus as &$val){
	$val['parent_url'] = qbase::GetCidHtmlDirType($channelid, $val['cid'], $val['ciddir'], $val['cfilename'], !($val['category_html'] || $val['pur_browse']));
	$val['preview_url'] = W_P . "admin/url.php?url=" . urlencode(W_P . "index.php?mod={$channelid}&ac={$_MODULE[$channel[$channelid][channelselect]]['user_list_php']}&cid={$val['cid']}&preview=1");
}
unset($val);
?>
